Download it now!
Bug 58250 - FILEOPEN UI Custom separator is corrupted in CSV dialog
Summary: FILEOPEN UI Custom separator is corrupted in CSV dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: Other All
: low minor
Assignee: Andreas Heinisch
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords:
Depends on:
Blocks: CSV-Dialog
  Show dependency treegraph
 
Reported: 2012-12-13 16:23 UTC by Urmas
Modified: 2021-06-28 08:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example (15 bytes, text/csv)
2012-12-13 16:23 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2012-12-13 16:23:00 UTC
Created attachment 71451 [details]
Example

1. Open the attached CSV file with a proper delimiter;
2. Open another CSV file

Expected: the custom separator is preserved
Actual: an invalid character (a missing glyph) is displayed instead.
Comment 1 Planas 2012-12-20 18:14:08 UTC
I opened the test file using "," as the delimiter with no problems. Then as suggested I opened another csv file. The second csv file use ";" as the delimiter. Both files opened correctly in in Calc.

I import csv files into Calc regularly. The behavior I see is that Calc uses the last delimiter chosen when importing a new file. 

Note tests were conducted on 4.0.0 Beta 1
Comment 2 Urmas 2012-12-20 19:39:14 UTC
Except the file is not using , or ; as delimiters?
Comment 3 john.pratt 2012-12-21 16:31:31 UTC
Comment on attachment 71451 [details]
Example

correct mime type
Comment 4 Joel Madero 2013-01-10 16:57:48 UTC
Verified on 3.6.3.2, changing version to reflect oldest version that the bug has been seen on.

Just to clarify a little:
1. Download Example
2. Open Example and click on "Other" for Separator Options
3. Put · in the field
4. File opens fine
5. Without closing Example document, open another csv file


Expected:
Should see · in other

Observed: See a non functional ugly box showing a missing glyph

Marking as:
New (Confirmed)
Minor - Can slow down workflow but won't prevent high quality work
Low - Default for minor, don't see a reason to change this


Thanks for reporting Urmas, as always you find the tricky ones :)
Comment 5 QA Administrators 2015-04-19 03:21:07 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-06-15 19:12:21 UTC
(In reply to Joel Madero from comment #4)
> Verified on 3.6.3.2, changing version to reflect oldest version that the bug
> has been seen on.
> 
> Just to clarify a little:
> 1. Download Example
> 2. Open Example and click on "Other" for Separator Options
> 3. Put · in the field
> 4. File opens fine
> 5. Without closing Example document, open another csv file
> 
> 
> Expected:
> Should see · in other
> 
> Observed: See a non functional ugly box showing a missing glyph

Yep, it's da box.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 01a189abcd9a4ca472a74b3b2c000c9338fc2c91
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-14_07:46:28
Locale: fi-FI (fi_FI)
Comment 7 QA Administrators 2016-09-20 10:01:57 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 14:08:41 UTC Comment hidden (obsolete)
Comment 9 Svatopluk Vít 2021-03-19 13:20:40 UTC
Bug is not present, works as expected.

Version: 7.1.1.2 (x64) / LibreOffice Community
Build ID: fe0b08f4af1bacafe4c7ecc87ce55bb426164676
CPU threads: 12; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: cs-CZ (cs_CZ); UI: cs-CZ
Calc: threaded
Comment 10 Buovjaga 2021-03-19 13:52:02 UTC
Still repro

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 005adbefc746f9024adcf572c287dc061acbcf00
CPU threads: 2; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: fi-FI (fi_FI); UI: en-US
Calc: threaded
Comment 11 Commit Notification 2021-06-25 11:22:13 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8712d2cb78808bd17399605a70862d7920e63c9a

tdf#58250 - Show custom unicode separator in the csv import dialog

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2021-06-28 08:12:07 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/d043e092d9115629f1394ae0b6c25d899460f127

tdf#58250 - Show custom unicode separator in the csv import dialog

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.